from django.shortcuts import render_to_response, get_object_or_404
from django.contrib.auth.decorators import login_required
from django.contrib.auth.models import User
from twitbuntu.app.forms import UpdateForm
from twitbuntu.app.models import Update


@login_required
def home(request):
    if request.method == 'POST':
        update_form = UpdateForm(request.POST, instance=Update(owner=request.user))
        if update_form.is_valid():
            update = update_form.save()
            update_form = UpdateForm()
    else:
        update_form = UpdateForm()
    updates = request.user.update_set.all()
    return render_to_response('home.html', {'updates': updates, 'form': update_form})

def user(request, username):
    user = get_object_or_404(User, username=username)
    updates = user.update_set.all()
    return render_to_response('user.html', {'updates': updates, 'user': user})
